package com.uas.platform.b2b.service;

import com.uas.sso.support.Page;
import com.uas.platform.b2b.temporary.model.BasePartnersInfo;
import org.springframework.ui.ModelMap;


public interface AddPartnerService {

	/**
	 * 添加为供应商
	 * 
	 * @param id
	 * @return
	 */
	public ModelMap addSupplier(String businessCode);

	/**
	 * 添加为客户
	 * 
	 * @param id
	 * @return
	 */
	public ModelMap addCust(String businessCode);

	/**
	 *  ERP企业圈获取全部合作伙伴
	 * @param keyword
	 * @param statusCode
	 * @param pageSize
	 * @param pageNumber
	 * @return
	 * @throws Exception
	 */
    Page<BasePartnersInfo> findByBusCodeAndKeyWordForERP(String keyword, Integer statusCode, int pageSize, int pageNumber) throws Exception;

    ModelMap addServicer(String businessCode);
}
